Subject: RE: dragging windows off screen can crash fvwm

From: "Dameron, Gregg" <[email-masked]>
Date: Wed, 18 Jun 2003 12:09:02 -0600

An update on an old problem.

I was able to easily recreate Larry's problem on a new Solaris 8 build that
had older Solaris patches than I normally run, despite the fact that my PGX
is a double-buffered FFB2+ with Z-buffer.

Long story short:  I fixed my problem by installing Solaris patch 108606-31,
which patches the PGX (m64) device driver.  Patch 108606-31 appears to be
publicly available from sunsolve.sun.com.

Larry, if you're still having the problem, run:

   showrev -p | grep 108606

If you're not up to at least version 30, the patch should take care of it.

Regards,
Gregg Dameron

> -----Original Message-----
> From: Dan Espen [mailto:[email-masked]]
> Sent: Monday, January 06, 2003 12:44 PM
> To: Larry Felton Johnson
> Cc: [email-masked]
> Subject: Re: dragging windows off screen can crash fvwm
> 
> 
> Larry Felton Johnson <[email-masked]> writes:
> > Since I have been having the same problem (crash while
> > moving windows, solaris 8, on a sunblade 100)
> > 
> > I recompiled fvwm2 as per the instructions below and induced
> > the crash (the crash is very easy to do and remarkably consistent).
> > 
> > Unfortunately no core file was produced (did a find / -name core)
> > 
> > Any other suggestions?  I'd like to help follow through on this.
> 
> We just got this post from Gregg Dameron:
> 
> Some colleagues of mine have seen this problem as well with 2.4.7 on a
> SunBlade under Solaris 8.  Their solution was to upgrade the 
> frame buffer
> (PGX) to one that supports 3-D graphics.  If your Blade has a 
> PGX (aka m64),
> and if you run
> 
>     fbconfig -prconf
> 
> as root and _don't_ get
> 
>     Type: double-buffered FFB2+ with Z-buffer
> 
> then you're hitting the same problem they did.  My guess is 
> it's a bug with
> Solaris 8's PGX 2-D device driver.  From bug #958's text, it 
> appears to have
> been fixed by Solaris 9.  Hope this helps.
> --
> Gregg Dameron
> 
> 
> So, it looks like a Solaris problem,  If you'd still like
> to see if there's something that can be done on the fvwm side:
> 
> Either fvwm is coring, or its printing a message and exiting.
> 
> Check that you don't have core dumps supressed:
> 
> ulimit -a
> 
> make sure coredump(blocks) is a large number or unlimited.
> 
> Look for the stderr output from Fvwm.  Where that goes depends
> on how Fvwm is started.  If you are using CDE, it should be in
> $HOME/.xsession-errors.
> 
> -- 
> Dan Espen                           E-mail: [email-masked]
> --
> Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
> body of a message to [email-masked].
> To report problems, send mail to [email-masked]
> 
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]